<?php

var_dump ( getCSVdata ("pv_system-201108.csv", 9));

function getCSVdata ($csv_file, $header_lines = 0, $sepchar = ";")
{
    $data = array();
    if (($handle = fopen($csv_file, "r")) !== FALSE)
    {
        $init = false;
        while (($csv_data = fgetcsv($handle, 1000, $sepchar)) !== FALSE)
        {
            $num = count($csv_data);
            if ($header_lines <= 0)
            {
                if ($init == false)
                {
                    for ($i = 0; $i < $num; $i ++)
                        $data[$i] = array();
                    $init = true;
                }
           
                for ($c = 0; $c < $num; $c ++)
                {
                    if (is_numeric($csv_data[$c]))
                        settype($csv_data[$c], "double");
                    array_push($data[$c], $csv_data[$c]);
                }
            }
            $header_lines --;
        }
        fclose($handle);
        
        return $data;
    }
    else
        echo "-1";
}
        