<?php
/**
 * @filesource: rscatter.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;

// rgraph chart
$template = "default.php";
$draw_option = "draw();";
$width = "550";
$height = "550";

$data = array();
for ($i=0; $i<360; $i++)
{
  $value = array(2*$i, $i, "red");
  array_push($data, $value);
}
    
$chart = new rgraph_chart("cvs", $data, "RScatter");

$options = new rgraph_options("default.ini");
$options->set_option("title","Basic Radial Scatter Chart");

$chart->set_options($options);
$rgraph_json = $chart->toString();


$event_script = "";
$chart_script = "";

include_once ($templates . $template);
?>



